SystemOrganization addCategory: #'A4BP-BPEL20-core'!
SystemOrganization addCategory: 'A4BP-BPEL20-core-model'!
SystemOrganization addCategory: 'A4BP-BPEL20-core-parser'!

A4BPAbstractParser subclass: #BPEL20Parser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser'!

!BPEL20Parser class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
parseString: string
	^ self new parseString: string! !

!BPEL20Parser methodsFor: 'impl' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 19:05'!
getBaseElement
	^ BPEL20ProcessImpl! !

!BPEL20Parser methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
initialize
	super initialize.! !

!BPEL20Parser methodsFor: 'impl' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
lstOfTag
	| tags |
	tags := OrderedCollection new.
	tags add:'process'.
	"tags add:'bpel:process'."
	^ tags! !

!BPEL20Parser methodsFor: 'metric' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
numberOfDefinedProcesses
	^ self numberOfElements.! !

!BPEL20Parser methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
processes
	^ lstElements! !

A4BPObject subclass: #BPEL20Enum
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
aName
	^ aName! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
aName: aaName
	^ aName := aaName! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
childrens
	^ childrens! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
childrens: achildrens
	^ childrens := achildrens! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
mooseID
	^ mooseID! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
mooseID: amooseID
	^ mooseID := amooseID! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
myDocument
	^ myDocument! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
myDocument: amyDocument
	^ myDocument := amyDocument! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
parent
	^ parent! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
parent: aparent
	^ parent := aparent! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
state
	^ state! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
state: astate
	^ state := astate! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
text
	^ text! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
text: atext
	^ text := atext! !

A4BPObject subclass: #BPEL20Object
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20AbstractAssignBoundImpl
	instanceVariableNames: 'property query part variable partnerLink expression'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20BPELExtensibilityElementImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20BPELExtensibleElementImpl
	instanceVariableNames: 'fTransients documentationESet documentation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ActivityImpl
	instanceVariableNames: 'suppressJoinFailureESet NAME_EDEFAULT SUPPRESS_JOIN_FAILURE_EDEFAULT suppressJoinFailure sources name targets'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20AssignImpl
	instanceVariableNames: 'validate VALIDATE_EDEFAULT copy'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20CompensateImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20CompensateScopeImpl
	instanceVariableNames: 'target'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20EmptyImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ExitImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ExtensionActivityImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20FlowImpl
	instanceVariableNames: 'links completionCondition activities'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ForEachImpl
	instanceVariableNames: 'completionCondition startCounterValue activity parallel counterName finalCounterValue PARALLEL_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20IfImpl
	instanceVariableNames: 'activity else_ condition elseIf'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20OpaqueActivityImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20PartnerActivityImpl
	instanceVariableNames: 'correlations operation portType operationName partnerLink'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20PartnerActivityImpl subclass: #BPEL20InvokeImpl
	instanceVariableNames: 'faultHandler outputVariable fromParts compensationHandler toParts inputVariable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20PartnerActivityImpl subclass: #BPEL20ReceiveImpl
	instanceVariableNames: 'createInstance createInstanceESet variable messageExchange CREATE_INSTANCE_EDEFAULT fromParts'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20PartnerActivityImpl subclass: #BPEL20ReplyImpl
	instanceVariableNames: 'variable messageExchange FAULT_NAME_EDEFAULT toParts faultName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20PickImpl
	instanceVariableNames: 'createInstanceESet createInstance alarm messages CREATE_INSTANCE_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20RepeatUntilImpl
	instanceVariableNames: 'condition activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20RethrowImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ScopeImpl
	instanceVariableNames: 'variables correlationSets isolatedESet faultHandlers EXIT_ON_STANDARD_FAULT_EDEFAULT exitOnStandardFault terminationHandler exitOnStandardFaultESet partnerLinks ISOLATED_EDEFAULT activity isolated compensationHandler messageExchanges eventHandlers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20SequenceImpl
	instanceVariableNames: 'activities'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ThrowImpl
	instanceVariableNames: 'FAULT_NAME_EDEFAULT faultName faultVariable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ValidateImpl
	instanceVariableNames: 'variables'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20WaitImpl
	instanceVariableNames: 'until for_'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20WhileImpl
	instanceVariableNames: 'condition activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CatchAllImpl
	instanceVariableNames: 'activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CatchImpl
	instanceVariableNames: 'faultVariable faultName faultElement FAULT_NAME_EDEFAULT activity faultMessageType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CompensationHandlerImpl
	instanceVariableNames: 'activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CompletionConditionImpl
	instanceVariableNames: 'branches'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CopyImpl
	instanceVariableNames: 'from KEEP_SRC_ELEMENT_NAME_EDEFAULT to keepSrcElementName IGNORE_MISSING_FROM_DATA_EDEFAULT ignoreMissingFromDataESet keepSrcElementNameESet ignoreMissingFromData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CorrelationImpl
	instanceVariableNames: 'initiateESet pattern initiate set PATTERN_EDEFAULT INITIATE_EDEFAULT patternESet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CorrelationSetImpl
	instanceVariableNames: 'name NAME_EDEFAULT properties'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CorrelationSetsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CorrelationsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20DocumentationImpl
	instanceVariableNames: 'LANG_EDEFAULT SOURCE_EDEFAULT value source VALUE_EDEFAULT lang'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ElseIfImpl
	instanceVariableNames: 'condition activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ElseImpl
	instanceVariableNames: 'activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20EventHandlerImpl
	instanceVariableNames: 'events alarm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ExtensionImpl
	instanceVariableNames: 'namespace mustUnderstand mustUnderstandESet NAMESPACE_EDEFAULT MUST_UNDERSTAND_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ExtensionsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20FaultHandlerImpl
	instanceVariableNames: 'catchAll catchAllESet catch_'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20FromImpl
	instanceVariableNames: 'opaqueESet partName variable expression type ENDPOINT_REFERENCE_EDEFAULT endpointReferenceESet OPAQUE_EDEFAULT serviceRef literalESet part property literal query opaque LITERAL_EDEFAULT unsafeLiteral endpointReference UNSAFE_LITERAL_EDEFAULT partnerLink'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20FromPartImpl
	instanceVariableNames: 'partName toVariable part'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20FromPartsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ImportImpl
	instanceVariableNames: 'NAMESPACE_EDEFAULT LOCATION_EDEFAULT namespace IMPORT_TYPE_EDEFAULT location importType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20LinkImpl
	instanceVariableNames: 'name NAME_EDEFAULT sources targets'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20LinksImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20MessageExchangeImpl
	instanceVariableNames: 'NAME_EDEFAULT name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20MessageExchangesImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20OnAlarmImpl
	instanceVariableNames: 'repeatEvery until for_ activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20OnEventImpl
	instanceVariableNames: 'messageType partnerLink fromParts activity correlations xsdElement portType messageExchange correlationSets variable operation operationName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20OnMessageImpl
	instanceVariableNames: 'fromParts correlations partnerLink operationName activity variable portType messageExchange operation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20PartnerLinkImpl
	instanceVariableNames: 'initializePartnerRole NAME_EDEFAULT name partnerLinkType partnerRole INITIALIZE_PARTNER_ROLE_EDEFAULT myRole initializePartnerRoleESet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20PartnerLinksImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ProcessImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

!BPEL20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 22:16'!
annotation
	<MSEClass: #BPEL20ProcessImpl super: #BPEL20BPELExtensibleElementImpl>
	<package: #A4BP>! !

!BPEL20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 10:42'!
fillElementsIn: aBPProcess from: document
	| visitor |
	visitor := BPBuilderSetNodesinBPProcessVisitor new.
	visitor element: aBPProcess.
	self fillElementsIn: aBPProcess from: document visitor: visitor.
	aBPProcess nsNameSpaces: document nameSpaces.! !

!BPEL20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 10:42'!
fillProcessNameOn: bpProcess from: document
	bpProcess processName: (document attributeAt: BPParserTagsXMLRef atrName)! !

!BPEL20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 19:04'!
fromXMLDescription: document
	"The argument is a complete description of an XML process"

	| bpProcess |
	"is an instante of on BProcess"
	bpProcess := self new.
	self fillBData: document in: bpProcess.
	self fillProcessNameOn: bpProcess from: document.
	self fillElementsIn: bpProcess from: document. 
	^ bpProcess! !

!BPEL20ProcessImpl methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/18/2014 19:13'!
nsNameSpaces: aNS
	! !

!BPEL20ProcessImpl methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/17/2014 13:53'!
processName: vName
	self aName: vName! !

BPEL20BPELExtensibleElementImpl subclass: #BPEL20SourceImpl
	instanceVariableNames: 'transitionCondition activity link'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20SourcesImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20TargetImpl
	instanceVariableNames: 'link activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20TargetsImpl
	instanceVariableNames: 'children joinCondition'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20TerminationHandlerImpl
	instanceVariableNames: 'activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ToImpl
	instanceVariableNames: 'variable property expression partName part query partnerLink'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ToPartImpl
	instanceVariableNames: 'part partName fromVariable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ToPartsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20VariableImpl
	instanceVariableNames: 'name NAME_EDEFAULT messageType xsdElement type from'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20VariablesImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20BPELFactoryImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20BPELPackageImpl
	instanceVariableNames: 'copyEClass messageExchangeEClass replyEClass onEventEClass abstractAssignBoundEClass correlationSetsEClass linksEClass linkEClass serviceRefEClass booleanExpressionEClass sourcesEClass messageExchangesEClass importEClass elseIfEClass processEClass documentationEClass toPartsEClass compensateScopeEClass faultHandlerEClass targetsEClass fromEClass isInited rethrowEClass whileEClass targetEClass toPartEClass expressionEClass terminationHandlerEClass extensionEClass endpointReferenceRoleEEnum branchesEClass completionConditionEClass compensationHandlerEClass correlationPatternEEnum exitEClass elseEClass extensionsEClass partnerActivityEClass partnerLinkEClass validateEClass flowEClass eventHandlerEClass emptyEClass correlationEClass activityEClass variableEClass forEachEClass queryEClass ifEClass bpelExtensibleElementEClass correlationSetEClass opaqueActivityEClass extensionActivityEClass unknownExtensibilityAttributeEClass invokeEClass compensateEClass scopeEClass isInitialized fromPartsEClass isCreated toEClass throwEClass sourceEClass pickEClass catchAllEClass partnerLinksEClass receiveEClass waitEClass assignEClass sequenceEClass variablesEClass conditionEClass correlationsEClass repeatUntilEClass onMessageEClass catchEClass fromPartEClass onAlarmEClass'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20ExpressionImpl
	instanceVariableNames: 'opaque BODY_EDEFAULT opaqueESet EXPRESSION_LANGUAGE_EDEFAULT OPAQUE_EDEFAULT expressionLanguage body expressionLanguageESet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ExpressionImpl subclass: #BPEL20BooleanExpressionImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ExpressionImpl subclass: #BPEL20BranchesImpl
	instanceVariableNames: 'countCompletedBranchesOnlyESet COUNT_COMPLETED_BRANCHES_ONLY_EDEFAULT countCompletedBranchesOnly'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ExpressionImpl subclass: #BPEL20ConditionImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
aName
	^ aName! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
aName: aaName
	^ aName := aaName! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
childrens
	^ childrens! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
childrens: achildrens
	^ childrens := achildrens! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
mooseID
	^ mooseID! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
mooseID: amooseID
	^ mooseID := amooseID! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
myDocument
	^ myDocument! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
myDocument: amyDocument
	^ myDocument := amyDocument! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
parent
	^ parent! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
parent: aparent
	^ parent := aparent! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
state
	^ state! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
state: astate
	^ state := astate! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
text
	^ text! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
text: atext
	^ text := atext! !

BPEL20Object subclass: #BPEL20ServiceRefImpl
	instanceVariableNames: 'value valueNode VALUE_EDEFAULT REFERENCE_SCHEME_EDEFAULT referenceScheme'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20UnknownExtensibilityAttributeImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!
